//+------------------------------------------------------------------+
//|                                                                  |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+

#property copyright "anthonyrae"
#property link      "blah"

//---- Trades limits
extern double    Distance=30;
extern double    TakeProfit=15;
extern double    TrailingStop=40;
extern double    StopLoss=150;

extern int CurrentBar = 0;
extern double Lots = 1;

//+------------------------------------------------------------------
int init() 
{  
   return(0);  
}
int deinit() 
{ 
   return(0);  
}

//+------------------------------------------------------------------

//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//---- 

   int cnt, ticket, total;
   
   double OP = iOpen(Symbol(),PERIOD_D1,0);
   double HI = iHigh(Symbol(),PERIOD_D1,0);
   double LO = iLow(Symbol(),PERIOD_D1,0);
   
   if(Bars<100)
     {
      Print("bars less than 100");
      return(0);  
     }

   total  = OrdersTotal();

   if(total < 1 ) 
     {
       if(Ask < HI-Distance*Point)
         {
            ticket=OrderSend(Symbol(),OP_BUY,Lots,Ask,3,Ask-StopLoss*Point,Ask+TakeProfit*Point,"EMA_CROSS_2",12345,0,Green);
            if(ticket>0)
              {
               if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("BUY order opened : ",OrderOpenPrice());
              }
            else Print("Error opening BUY order : ",GetLastError()); 
            return(0);
         }
         if(Bid > LO+Distance*Point)
         {
            ticket=OrderSend(Symbol(),OP_SELL,Lots,Bid,3,Bid+StopLoss*Point,Bid-TakeProfit*Point,"EMA_CROSS_2",12345,0,Red);
            if(ticket>0)
              {
               if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("SELL order opened : ",OrderOpenPrice());
              }
            else Print("Error opening SELL order : ",GetLastError()); 
            return(0);
         }
         return(0);   
     }
/*   for(cnt=0;cnt<total;cnt++)
     {
      OrderSelect(cnt, SELECT_BY_POS, MODE_TRADES);

      if(OrderType()<=OP_SELL && OrderSymbol()==Symbol())
        {
         if(OrderType()==OP_BUY)   // long position is opened
           {
            OrderClose(OrderTicket(),OrderLots(),Bid,3,Violet); // close position
            return(0); // exit
            // check for trailing stop
            if(TrailingStop>0)  
              {                 
               if(Bid-OrderOpenPrice()>Point*TrailingStop)
                 {
                  if(OrderStopLoss()<Bid-Point*TrailingStop)
                    {
                     OrderModify(OrderTicket(),OrderOpenPrice(),Bid-Point*TrailingStop,OrderTakeProfit(),0,Green);
                     return(0);
                    }
                 }
              }
           }
         else // go to short position
           {
           OrderClose(OrderTicket(),OrderLots(),Ask,3,Violet); // close position
           return(0); // exit
           // check for trailing stop
           if(TrailingStop>0)  
             {                 
              if((OrderOpenPrice()-Ask)>(Point*TrailingStop))
                {
                 if((OrderStopLoss()>(Ask+Point*TrailingStop)) || (OrderStopLoss()==0))
                   {
                    OrderModify(OrderTicket(),OrderOpenPrice(),Ask+Point*TrailingStop,OrderTakeProfit(),0,Red);
                    return(0);
                   }
                }
             }
           }
        }
     }*/
   return(0);
  }
//+------------------------------------------------------------------+